# eric5.Helpviewer.Network.FollowRedirectReply

Module implementing a network reply delegate allowing to check redirects.

### Global Attributes

None

### Classes

FollowRedirectReply | Class implementing a network reply delegate allowing to check redirects.

### Functions

None

## FollowRedirectReply

Class implementing a network reply delegate allowing to check redirects.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

FollowRedirectReply | Constructor
__replyFinished | Private slot handling the receipt of the requested data.
close | Public method to close the data stream.
error | Public method to get the error information.
errorString | Public method to get the error message.
originalUrl | Public method to get the original URL.
readAll | Public method to read all received data.
reply | Public method to get the reply object.
url | Public method to get the final URL (after redirects).

### Static Methods

None

#### FollowRedirectReply (Constructor)

FollowRedirectReply(url, manager, maxRedirects=5)

Constructor

url
  URL to get (QUrl)
manager
  reference to the network access manager (QNetworkAccessManager)
maxRedirects=
  maximum allowed redirects (integer)

#### FollowRedirectReply.__replyFinished

__replyFinished()

Private slot handling the receipt of the requested data.

#### FollowRedirectReply.close

close()

Public method to close the data stream.

#### FollowRedirectReply.error

error()

Public method to get the error information.

Returns:
  error code (QNetworkReply.NetworkError)

#### FollowRedirectReply.errorString

errorString()

Public method to get the error message.

Returns:
  error message (string)

#### FollowRedirectReply.originalUrl

originalUrl()

Public method to get the original URL.

Returns:
  original URL (QUrl)

#### FollowRedirectReply.readAll

readAll()

Public method to read all received data.

Returns:
  received raw data (QByteArray)

#### FollowRedirectReply.reply

reply()

Public method to get the reply object.

Returns:
  reference to the reply object (QNetworkReply)

#### FollowRedirectReply.url

url()

Public method to get the final URL (after redirects).

Returns:
  final URL (QUrl)

Up